OpenVZ Forum


Home » General » Support » Kernel upgrade from 2.6.18 to 2.6.32
Kernel upgrade from 2.6.18 to 2.6.32 [message #43652] Tue, 04 October 2011 15:42 Go to next message
hkendusers is currently offline  hkendusers
Messages: 12
Registered: June 2010
Junior Member
Hi all,

I am running a OpenVZ on RHEL 5.1 witch kernel 2.6.18-*, I tried to upgrade using "rpm -Uvh" and "yum update", both have errors but I still can restart with the new kernel.

So, can anyone tell me that kernel can be upgraded from 2.6.18-* to 2.6.32-*? Or it is not recommended?

Below are errors that during upgrade.


# uname -r
2.6.18-92.1.18.el5.028stab060.2PAE


===================================================
upgrade using rpm
===================================================

# rpm -Uvh vzctl-3.0.29.3-1.i386.rpm vzctl-lib-3.0.29.3-1.i386.rpm vzkernel-2.6.32-042stab037.1.i686.rpm vzkernel-firmware-2.6.32-042stab037.1.noarch.rpm vzquota-3.0.12-1.i386.rpm
Preparing... ########################################### [100%]
1:vzkernel-firmware ########################################### [ 20%]
2:vzctl-lib ########################################### [ 40%]
3:vzkernel ########################################### [ 60%]
4:vzquota ########################################### [ 80%]
5:vzctl ########################################### [100%]
FATAL: Module vzevent not found.
Checking vzevent kernel module ...[FAILED]
WARNING: No module uhci-hcd found for kernel 2.6.32-042stab037.1, continuing anyway
WARNING: No module ohci-hcd found for kernel 2.6.32-042stab037.1, continuing anyway
WARNING: No module ehci-hcd found for kernel 2.6.32-042stab037.1, continuing anyway
Usage: new-kernel-pkg [-v] [--mkinitrd] [--rminitrd]
[--initrdfile=<initrd-image>] [--depmod] [--rmmoddep]
[--kernel-args=<args>] [--remove-args=<args>]
[--banner=<banner>] [--multiboot=multiboot]
[--mbargs=mbargs] [--make-default]
<--install | --remove | --update> <kernel-version>
(ex: new-kernel-pkg --mkinitrd --depmod --install 2.4.7-2)
error: %unknownscript(vzkernel-2.6.32-042stab037.1.i686) scriptlet failed, exit status 1


===================================================
upgrade using yum
===================================================

# yum update
Loading "rhnplugin" plugin
Loading "installonlyn" plugin
Loading "security" plugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Update Process
Setting up repositories
openvz-utils 100% |=========================| 1.2 kB 00:00
openvz-kernel-rhel6 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
Skipping security plugin, no data
Resolving Dependencies
Skipping security plugin, no data
--> Populating transaction set with selected packages. Please wait.
---> Package vzctl.i386 0:3.0.29.3-1 set to be updated
---> Package vzquota.i386 0:3.0.12-1 set to be updated
---> Package vzctl-lib.i386 0:3.0.29.3-1 set to be updated
--> Running transaction check
--> Processing Dependency: vzeventmod for package: vzctl
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package vzkernel.i686 0:2.6.32-042stab037.1 set to be updated
--> Running transaction check
--> Processing Dependency: kernel-firmware >= 2.6.32-131.12.1.el6 for package: vzkernel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package vzkernel-firmware.noarch 0:2.6.32-042stab037.1 set to be updated
--> Running transaction check

Dependencies Resolved

============================================================ =================
Package Arch Version Repository Size
============================================================ =================
Updating:
vzctl i386 3.0.29.3-1 openvz-utils 159 k
vzctl-lib i386 3.0.29.3-1 openvz-utils 187 k
vzquota i386 3.0.12-1 openvz-utils 82 k
Installing for dependencies:
vzkernel i686 2.6.32-042stab037.1 openvz-kernel-rhel6 23 M
vzkernel-firmware noarch 2.6.32-042stab037.1 openvz-kernel-rhel6 2.9 M

Transaction Summary
============================================================ =================
Install 2 Package(s)
Update 3 Package(s)
Remove 0 Package(s)

Total download size: 27 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): vzctl-3.0.29.3-1.i 100% |=========================| 159 kB 00:11
(2/5): vzkernel-2.6.32-04 100% |=========================| 23 MB 00:34
(3/5): vzkernel-firmware- 100% |=========================| 2.9 MB 00:10
(4/5): vzquota-3.0.12-1.i 100% |=========================| 82 kB 00:01
(5/5): vzctl-lib-3.0.29.3 100% |=========================| 187 kB 00:08
Running Transaction Test
FATAL: Could not open '/boot/System.map-2.6.32-042stab037.1': No such file or directory
No modules available for kernel "2.6.32-042stab037.1".
mkinitrd failed
error: %unknownscript(vzkernel-2.6.32-042stab037.1.i686) scriptlet failed, exit status 1
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : vzctl-lib ######################### [1/9]
Installing: vzkernel-firmware ######################### [2/9]
Installing: vzkernel ######################### [3/9]
Updating : vzquota ######################### [4/9]
Updating : vzctl ######################### [5/9]
FATAL: Module vzevent not found.
Checking vzevent kernel module ...[FAILED]
Cleanup : vzctl ######################### [6/9]
Removing : ovzkernel-PAE ######################### [7/9]
Cleanup : vzquota ######################### [8/9]
Cleanup : vzctl-lib ######################### [9/9]
WARNING: No module uhci-hcd found for kernel 2.6.32-042stab037.1, continuing anyway
WARNING: No module ohci-hcd found for kernel 2.6.32-042stab037.1, continuing anyway
WARNING: No module ehci-hcd found for kernel 2.6.32-042stab037.1, continuing anyway
Usage: new-kernel-pkg [-v] [--mkinitrd] [--rminitrd]
[--initrdfile=<initrd-image>] [--depmod] [--rmmoddep]
[--kernel-args=<args>] [--remove-args=<args>]
[--banner=<banner>] [--multiboot=multiboot]
[--mbargs=mbargs] [--make-default]
<--install | --remove | --update> <kernel-version>
(ex: new-kernel-pkg --mkinitrd --depmod --install 2.4.7-2)
error: %unknownscript(vzkernel-2.6.32-042stab037.1.i686) scriptlet failed, exit status 1

Dependency Installed: vzkernel.i686 0:2.6.32-042stab037.1 vzkernel-firmware.noarch 0:2.6.32-042stab037.1
Updated: vzctl.i386 0:3.0.29.3-1 vzctl-lib.i386 0:3.0.29.3-1 vzquota.i386 0:3.0.12-1
Complete!





Re: Kernel upgrade from 2.6.18 to 2.6.32 [message #43693 is a reply to message #43652] Fri, 07 October 2011 04:39 Go to previous message
hkendusers is currently offline  hkendusers
Messages: 12
Registered: June 2010
Junior Member
I search around in the internet, someone said using 2.6.32 on RHEL5 requires to set something in /etc/grub.conf, and someone said 2.6.32 is not recommended to run in RHEL5... Shocked

So can anyone advise if it is not recommended? Or we can go ahead with bypassing the error?
Previous Topic: Process in OpenVZ.
Next Topic: External IP addresses on a Partition dedi
Goto Forum:
  


Current Time: Sat Mar 02 13:27:24 GMT 2024

Total time taken to generate the page: 0.03373 seconds